org.kie.internal.runtime.manager

## Class RuntimeManagerRegistry

- java.lang.Object
- - org.kie.internal.runtime.manager.RuntimeManagerRegistry

-     public class RuntimeManagerRegistry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConcurrentHashMap<String,org.kie.api.runtime.manager.RuntimeManager>` | `registeredManager`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuntimeManagerRegistry` | `get()`
    `org.kie.api.runtime.manager.RuntimeManager` | `getManager(String id)`
    `Collection<String>` | `getRegisteredIdentifiers()`
    `boolean` | `isRegistered(String id)`
    `void` | `register(org.kie.api.runtime.manager.RuntimeManager manager)`
    `void` | `remove(org.kie.api.runtime.manager.RuntimeManager manager)`
    `void` | `remove(String identifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### registeredManager

          protected volatile ConcurrentHashMap<String,org.kie.api.runtime.manager.RuntimeManager> registeredManager

  - ### Method Detail

    - #### get

          public static RuntimeManagerRegistry get()

    - #### register

          public void register(org.kie.api.runtime.manager.RuntimeManager manager)

    - #### remove

          public void remove(org.kie.api.runtime.manager.RuntimeManager manager)

    - #### remove

          public void remove(String identifier)

    - #### getManager

          public org.kie.api.runtime.manager.RuntimeManager getManager(String id)

    - #### isRegistered

          public boolean isRegistered(String id)

    - #### getRegisteredIdentifiers

          public Collection<String> getRegisteredIdentifiers()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.